
//
// Przykładowy kod z rozdziału 4.4.1.2 "Instrukcje switch" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "std_lib_facilities.h"

//------------------------------------------------------------------------------

int main()
{
    const double cm_per_inch = 2.54; // Liczba centymetrów w calu.
    int length = 1;                  // Długość length w calach lub centymetrach.
    char unit = 'a';
    cout<< "Podaj liczbę i jednostkę (c lub i):\n";
    cin >> length >> unit;
    switch (unit) {
    case 'i':
        cout << length << "in == " << cm_per_inch*length << "cm\n";
        break;
    case 'c':
        cout << length << "cm == " << length/cm_per_inch << "in\n";
        break;
    default:
        cout << "Przykto mi, ale nie znam jednostki o nazwie '" << unit << "'\n";
        break;
    }
}

//------------------------------------------------------------------------------
